# tools.yaml

necessities:
  - apt
  - apt-utils
  - btop
  - curl
  - fd-find
  - fzf
  - git
  - gnupg
  - gzip
  - helix
  - jq
  - less
  - mtr
  - nala
  - ncdu
  # - net-tools
  - parallel
  - ripgrep
  - sed
  - stow
  - tar
  - tldr
  - tmux
  - util-linux
  - vim
  - wget
  - xclip
  - xxd
  - zoxide
  - zsh

privacy:
  - age
  - aide
  - clamav
  - clamtk
  - gpgv
  - keepassxc
  - lynis
  - mat2
  - mullvad-browser
  - protonvpn-cli
  - veracrypt

modern_cli:
  - bat
  - delta
  - duf
  - dust
  - entr
  - exa
  - fd-find
  - gitui
  - micro
  - most
  - nnn
  - procs
  - silversearcher-ag
  - taskwarrior
  - tig

dev:
  - build-essential
  - cmake
  - docker
  - docker-buildx
  - docker-compose
  - gcc-12-base
  - jq
  - lazydocker
  - lazygit
  - libclang-dev
  - npm
  - openjdk-17-jre
  - pipx
  - pkg-config
  - python3-pip
  - shellcheck
  - vite

desktop:
  - alacritty
  - cmatrix
  - feh
  - flameshot
  - neofetch
  - onlyoffice-desktopeditors
  - pdfsam
  - redshift-gtk
  - remmina
  - ulauncher
  - vlc
  - wezterm

pentest:
  - auditd
  - binwalk
  - fail2ban
  - fping
  - foremost
  - gvm
  - hashcat
  - hashid
  - john
  - nmap
  - steghide
  - tcpdump
  - testdisk
  - tshark

other:
  - aptitude
  - deborphan
  - debsums
  - entr
  - evolution
  - iproute2
  - iputils-ping
  - login
  - netcat-openbsd
  - screen
  - software-properties-common
  - stow
  - systemd-timesyncd
  - unzip
  - usbutils
  - xdotool
  - xsel

wishlist:
  - atuin      # shell history sync
  - glow       # markdown preview
  - dua-cli    # disk usage analyzer

go_tools:
  - code_helper
  - fabric
  - glow
  - gum
  - hugo
  - katana
  - lazygit
  - nuclei
  - pdtm
  - termshark
  - to_pdf
  - vhs

rust_tools:
  - atac
  - atuin
  - bandwhich
  - cargo -> rustup
  - cargo-clippy -> rustup
  - cargo-fmt -> rustup
  - cargo-make
  - cargo-miri -> rustup
  - clippy-driver -> rustup
  - duf
  - dust
  - eza
  - fubar
  - gping
  - hexyl
  - just
  - makers
  - navi
  - onefetch
  - oniux
  - procs
  - rls -> rustup
  - rust-analyzer -> rustup
  - rust-gdb -> rustup
  - rust-gdbgui -> rustup
  - rust-lldb -> rustup
  - rust-script
  - rustc -> rustup
  - rustdoc -> rustup
  - rustfmt -> rustup
  - rustup
  - sd
  - taskwarrior
  - tokei
  - ttyper
  - xh
  - zellij

